- hosts: webservers
	web1
	web2
  gather_facts: yes
  vars_files:
    - group_vars/vars
  roles:
    - { role: datadog.datadog, become: yes}
  vars:
    datadog_api_key: "{{ datadog_key }}"
    datadog_site: "datadoghq.com"
    datadog_checks:
      http_check:
        init_config:
        instances:
          - name: Application health check status
            url: http://localhost:80
            timeout: 1
            method: GET

  tasks:
    - name: install python3
      apt:
        name: python3-pip
        state: present
        update_cache: yes
    - name: install docker package
      pip:
        name: docker

    - name: deploy app
      community.docker.docker_container:
        name: app
        image: hexletcomponents/devops-example-app
        env:
          SERVER_MESSAGE: "{{ ansible_default_ipv4.address }}"
        ports:
          - 80:5000
    - name: install datadog
      include_role:
        name: datadog.datadog

